%define _colortheme canus
Name:		clarity-%{_colortheme}-icon-theme
Version:	0.5.0
Release:	1%{?dist}
Summary:	Clarity Vector Icon theme for GTK
BuildArch:	noarch
License:	CC-BY-SA 3.0
URL:		https://github.com/jcubic/Clarity
Source0:	https://github.com/jcubic/Clarity/archive/%{version}.tar.gz
#Source0:	Clarity-%%{version}.tar.gz

BuildRequires:	zenity librsvg2-tools
#Requires:	

%description
This theme is based on AwOken and Token, lots of shapes and basic color pallete was
taken from these icons. Few icons was taken from Raphael <http://raphaeljs.com/>.
I use some shapes from OpenClipart <http://www.openclipart.org>, Wikipedia, Humanity and
AnyColorYouLike Themes. The rest of icons I design myself by simplifying existed icons 
or logos. Two fonts were used: Impact and Cheboygan.

%prep
tar -C %{_builddir} -xf %{_sourcedir}/%{version}.tar.gz

%build
cd %{_builddir}/Clarity-%{version}
./configure
make %{_colortheme}
make fedora
sed -i -e "s/Clarity/Clarity-%{_colortheme}/g" index.theme

%install
%define iconsdir %{_datadir}/icons/Clarity-%{_colortheme}/
mkdir --parent %{buildroot}%{iconsdir}
cd %{_builddir}/Clarity-%{version}
cp index.theme %{buildroot}%{iconsdir}
cp -r {16x16,scalable} %{buildroot}%{iconsdir}

touch %{buildroot}%{iconsdir}icon-theme.cache

%transfiletriggerin -- %{iconsdir}
gtk-update-icon-cache --force %{iconsdir} &>/dev/null || :

%transfiletriggerpostun -- %{iconsdir}
gtk-update-icon-cache --force %{iconsdir} &>/dev/null || :

%clean
rm -r %{_builddir}/Clarity-%{version}

%files
%{iconsdir}
#%dir %%{iconsdir}scalable
#%dir %%{iconsdir}16x16

%changelog

